Subject: Re: Make addity?
From: [email-masked] (David Fox)

27 Sep 1998 02:26:26 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Lewis Beard <[email-masked]>
Cc: Gnu-Win32 Mailing List <[email-masked]>

Lewis Beard <[email-masked]> writes:

> All,
> 
> As requested, I looked through back issues of the newsletter before
> posting. I DID find mention of my problem, but no solution was given and
> the answer didn't satisfy me.
> 
> I have a problem in that, when I modify my make files, I get:
> 
> 	makefile:48: *** missing separator.  Stop.
> 
> To me this is a serious problem; it occurs when I add new lines or
> delete lines entirely. It happens whether or not I have a unix or dos
> line type. The only way I can get around it is to keep my makefile on a
> unix box on the internet and make changes there and ftp it across,
> because once I change the length of the file or add lines or whatnot, I
> get this seperator problem. What gives? Why this is happening? Is there
> a way around it without a new or patched make?

I suspect that this is about make not understanding the ^M at the end
of every line in a windows file.  The easiest way around this is to
put an FTP server on your windows box and then do all your editing on
your Unix box, using the ange-ftp feature of emacs to access the files.

Other than that, maybe there is some tool to strip the ^Ms off.  I've
used sed for this in the past, though I usually just use Emacs.  Or
perhaps I'm completely wrong about the source of the problem.
-- 
David Fox          http://www.cat.nyu.edu/fox		xoF divaD
UCSD HCI Lab          [email-masked]          baL ICH DSCU
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".